Package org.apache.maven.scm

## Class ScmFile

- java.lang.Object
- - org.apache.maven.scm.ScmFile

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<ScmFile>`

    public class ScmFile
    extends java.lang.Object
    implements java.lang.Comparable<ScmFile>, java.io.Serializable

Author:
  Trygve Laugstøl
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ScmFile​(java.lang.String path, ScmFileStatus status)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo​(ScmFile other)`
`boolean` `equals​(java.lang.Object other)`
`java.lang.String` `getPath()` Returns the relative path of the file.
`ScmFileStatus` `getStatus()`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScmFile

    public ScmFile​(java.lang.String path,
                   ScmFileStatus status)

Parameters:
  `path` - The relative path of the file, should never start with any `File.separator`.
  `status` - The file status

### Method Detail

#### getPath

    public java.lang.String getPath()

Returns the relative path of the file.

Returns:
  the file path

#### getStatus

    public ScmFileStatus getStatus()

Returns:
  The file status

#### compareTo

    public int compareTo​(ScmFile other)

Specified by:
  `compareTo` in interface `java.lang.Comparable<ScmFile>`

#### equals

    public boolean equals​(java.lang.Object other)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`